Package org.bukkit.event.inventory

# Class FurnaceBurnEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.inventory.FurnaceBurnEvent

All Implemented Interfaces:
  `Cancellable`

public class FurnaceBurnEvent extends BlockEvent implements Cancellable
Called when an ItemStack is successfully burned as fuel in a furnace.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`FurnaceBurnEvent(@NotNull Block furnace, @NotNull ItemStack fuel, int burnTime)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBurnTime()`
Gets the burn time for this fuel
`@NotNull ItemStack`
`getFuel()`
Gets the fuel ItemStack for this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isBurning()`
Gets whether the furnace's fuel is burning or not.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setBurning(boolean burning)`
Sets whether the furnace's fuel is burning or not.
`void`
`setBurnTime(int burnTime)`
Sets the burn time for this fuel
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setConsumeFuel(boolean consumeFuel)`
Sets whether the furnace's fuel will be consumed or not.
`boolean`
`willConsumeFuel()`
Gets whether the furnace's fuel will be consumed or not.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FurnaceBurnEvent

public FurnaceBurnEvent(@NotNull @NotNull Block furnace, @NotNull @NotNull ItemStack fuel, int burnTime)

## Method Details

### getFuel

@NotNull public @NotNull ItemStack getFuel()
Gets the fuel ItemStack for this event

Returns:
  the fuel ItemStack

### getBurnTime

public int getBurnTime()
Gets the burn time for this fuel

Returns:
  the burn time for this fuel

### setBurnTime

public void setBurnTime(int burnTime)
Sets the burn time for this fuel

Parameters:
  `burnTime` - the burn time for this fuel

### isBurning

public boolean isBurning()
Gets whether the furnace's fuel is burning or not.

Returns:
  whether the furnace's fuel is burning or not.

### setBurning

public void setBurning(boolean burning)
Sets whether the furnace's fuel is burning or not.

Parameters:
  `burning` - true if the furnace's fuel is burning

### willConsumeFuel

public boolean willConsumeFuel()
Gets whether the furnace's fuel will be consumed or not.

Returns:
  whether the furnace's fuel will be consumed

### setConsumeFuel

public void setConsumeFuel(boolean consumeFuel)
Sets whether the furnace's fuel will be consumed or not.

Parameters:
  `consumeFuel` - true to consume the fuel

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()